#ifndef _mycompress_h_
#define _mycompress_h_

static FILE * input_file = 0;
static FILE * output_file = 0;

// main compression function
extern "C" int lz77_compress(int (* fill_buffer)(char *, int, int *), int (* save_buffer)(char *, int, int *));

// main decompression function
extern "C" int lz77_decompress(int (* fill_buffer)(char *, int, int *), int (* save_buffer)(char *, int, int *));

int fill_buffer(char * buffer, int buffer_length, int * chars_read);
int save_buffer(char * buffer, int chars_to_write, int * chars_written);

extern "C" void * mymalloc(long mem_size);
extern "C" void myfree(void * mem_ptr);

#endif